# Tình trạng một nick

> account_get_status — Health of one X account: session, safety, X cooldown, running / waiting jobs with hold reasons, quota used and left today / last 7 days per action group, run hours, the account clock (local date, time

Source: https://x.builera.app/docs/vi/reference/account_get_status

`account_get_status` · Đọc dữ liệu đã lưu

> [!NOTE]
> Mô tả kỹ thuật bằng tiếng Anh — đúng chữ AI agent đọc qua MCP.

Health of one X account: session, safety, X cooldown, running / waiting jobs with hold reasons, quota used and left today / last 7 days per action group, run hours, the account clock (local date, time and UTC offset — use it to turn "8 am tomorrow" into an ISO time for post_schedule), test mode, agent version and which tools its agent supports.

| | |
|---|---|
| REST | `GET /api/public/v1/accounts/{account}/status` |
| Công cụ MCP | `account_get_status` |
| Quyền cần có | `view` — Chủ, Quản lý, Vận hành, Chỉ xem |
| Nhóm quyền | `accounts:read` |
| Nhóm | Lõi: nick, việc, tìm công cụ |
| Hiện sẵn trong hồ sơ | mọi hồ sơ (bộ lõi) |

## Đầu vào {#input}

| Trường | Kiểu | Bắt buộc | Mô tả |
|---|---|---|---|
| `account` | string (1–100 chars) | Có | The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing. |

## Kết quả {#output}

Trả về trong phong bì `{ data, meta }`, không tạo việc trên X. Danh sách có `next_cursor` và `has_more`.

## Ví dụ {#example}

### Gọi qua REST {#example-rest}

```bash
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/accounts/%40your_x_account/status" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"
```

### Gọi qua MCP {#example-mcp}

```json
{
  "method": "tools/call",
  "params": {
    "name": "account_get_status",
    "arguments": {
      "account": "@your_x_account"
    }
  }
}
```

## Lỗi có thể gặp {#errors}

| Mã | HTTP | Thử lại được |
|---|---|---|
| [`unauthorized`](/docs/vi/errors/unauthorized) | 401 | Không |
| [`key_expired`](/docs/vi/errors/key_expired) | 401 | Không |
| [`integration_revoked`](/docs/vi/errors/integration_revoked) | 401 | Không |
| [`connection_not_linked`](/docs/vi/errors/connection_not_linked) | 403 | Không |
| [`integration_paused`](/docs/vi/errors/integration_paused) | 403 | Không |
| [`workspace_integrations_paused`](/docs/vi/errors/workspace_integrations_paused) | 403 | Không |
| [`integration_authorization_lost`](/docs/vi/errors/integration_authorization_lost) | 403 | Không |
| [`workspace_suspended`](/docs/vi/errors/workspace_suspended) | 403 | Không |
| [`forbidden`](/docs/vi/errors/forbidden) | 403 | Không |
| [`invalid_input`](/docs/vi/errors/invalid_input) | 422 | Không |
| [`rate_limited`](/docs/vi/errors/rate_limited) | 429 | Có |
| [`internal`](/docs/vi/errors/internal) | 500 | Có |
| [`ambiguous_account`](/docs/vi/errors/ambiguous_account) | 409 | Không |
| [`account_not_allowed`](/docs/vi/errors/account_not_allowed) | 403 | Không |
| [`not_found`](/docs/vi/errors/not_found) | 404 | Không |

[Về danh sách thao tác](/docs/vi/reference)
